//6DOF V3.1
//Migrating to new Bluetooth module, 9/14/07


/* *********************************************************
               Function declarations
  ********************************************************* */



void Initialize(void);
void feed(void);



void stat0_on (void);
void stat0_off (void);

void stat1_on (void);
void stat1_off (void);




/**********************************************************
                  Header files
 **********************************************************/
#include "LPC21xx.h"



/**********************************************************
                  Global Variables
 **********************************************************/



/**********************************************************
                       MAIN
**********************************************************/

int	main (void)
{	
	int	k;

    
	Initialize();
	
	

	while(1)
	{
		stat0_on();
		for (k = 0; k < 75000; k++);
		stat0_off();
		stat1_on();
		for (k = 0; k < 75000; k++);
		stat1_off();
	}
        
        

		
}



/**********************************************************
                      Initialize
**********************************************************/

#define PLOCK 0x400

void Initialize(void)
{
        // Setting Multiplier and Divider values
  	PLLCFG=0x23;
  	feed();
  
	// Enabling the PLL */	
	PLLCON=0x1;
	feed();
  
	// Wait for the PLL to lock to set frequency
	while(!(PLLSTAT & PLOCK)) ;
  
	// Connect the PLL as the clock source
	PLLCON=0x3;
	feed();
  
	// Enabling MAM and setting number of clocks used for Flash memory fetch (4 cclks in this case)
	MAMCR=0x2;
	MAMTIM=0x4;
  
	// Setting peripheral Clock (pclk) to System Clock (cclk)
	VPBDIV=0x01;
	
        PINSEL0 = 0xCF050005;   // enable uart0, enable uart1, AD1.3, 4 and 5 enabled
	
	PINSEL1 = 0x11541000;	//AD0.0 through AD0.5 (not AD0.2), AD1.7 enabled
							
	//IODIR0 = 0x0001003C;   //P0.16 is set/reset for mags, P0.10 is input (CTS), P0.11 is output (RTS)

	
	//IOSET0 = 0x00010008;	// s/r is high
	//IOCLR0 = 0x000004B0;    //1.5g default
        

        
        T0MR0 = 294912;   //200Hz default
        
        T0MCR = 0x0003;
        T0TCR = 1;

        //__ARMLIB_enableFIQ();
	
}


void feed(void)
{
  PLLFEED=0xAA;
  PLLFEED=0x55;
}


void stat0_on (void)
{
	//IOCLR0 = 0x00000004;

}

void stat0_off (void)
{
	//IOSET0 = 0x00000004;
	
}

void stat1_on (void)
{
	//IOCLR0 = 0x00000008;

}

void stat1_off (void)
{
	//IOSET0 = 0x00000008;
	
}




